Bug 1566065 - [OSP17] Drop python-crypto
Summary: [OSP17] Drop python-crypto
Keywords:
Status: MODIFIED
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: distribution
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Jon Schlueter
QA Contact: Udi Shkalim
URL:
Whiteboard:
Depends On: 1566044 1566058
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-11 12:56 UTC by Lon Hohberger
Modified: 2021-02-16 13:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)

Description Lon Hohberger 2018-04-11 12:56:33 UTC
Description of problem:

python-crypto is no longer required and should be dropped from OSP13

Additional info:
* python-crypto has not been audited for FIPS compliance
* python-crypto has not been maintained for years

Comment 3 Lon Hohberger 2018-04-24 17:41:45 UTC
python-dns has a reference but will build okay without it, it will disable DNSSec, however, Designate is Tech Preview in OSP13.

Comment 4 Lon Hohberger 2018-04-26 14:49:49 UTC
*** package: python-barbican-6.0.1-0.20180421143301.b10e100.el7ost.noarch
    unresolved deps: 
***      python2-crypto >= 0:2.6

*** package: python-keyczar-0.71c-2.el7.noarch
    unresolved deps:
***      python-crypto

*** package: python-oauthlib-0.7.2-3.20150520git514cad7.el7ost.noarch
    unresolved deps: 
***      python-crypto >= 0:2.6

*** package: python-pyghmi-1.0.22-1.el7ost.noarch
    unresolved deps: 
***      python-crypto >= 0:2.6

*** package: python-pysaml2-3.0.2-3.el7ost.noarch
    unresolved deps: 
***      pycrypto >= 0:2.5

:( :(


Note You need to log in before you can comment on or make changes to this bug.